#include <stdbool.h>
// AVAILABLE CHECK TYPES
//    PICOTEST_ASSERT(check1);
//    PICOTEST_VERIFY(0, "BETA");
//    PICOTEST_ABORT();
bool inOrder(double *a1, double *a2, double *a3);

PICOTEST_SUITE(mainSuite, SANITI_TESTS)
PICOTEST_CASE(SANITI_TESTS) {
    double a1, a2, a3;
    bool res;
    a1 = 0; a2 = 0; a3 = 0;
    res = inOrder(&a1, &a2, &a3);
    PICOTEST_VERIFY(res && a1 <= a2 && a2 <= a3, "Unexpected order of %lf, %lf, %lf",a1,a2,a3);
    a1 = 10; a2 = 5; a3 = 1;
    res = inOrder(&a1, &a2, &a3);
    PICOTEST_VERIFY(res && a1 <= a2 && a2 <= a3, "Unexpected order of %lf, %lf, %lf",a1,a2,a3);
    a1 = 1; a2 = 5; a3 = 10;
    res = inOrder(&a1, &a2, &a3);
    PICOTEST_VERIFY(res && a1 <= a2 && a2 <= a3, "Unexpected order of %lf, %lf, %lf",a1,a2,a3);
    a1 = -1e10; a2 = -1e11; a3 = -1e12;
    res = inOrder(&a1, &a2, &a3);
    PICOTEST_VERIFY(res && a1 <= a2 && a2 <= a3, "Unexpected order of %lf, %lf, %lf",a1,a2,a3);
    a1 = -10; a2 = -5; a3 = -1;
    res = inOrder(&a1, &a2, &a3);
    PICOTEST_VERIFY(res && a1 <= a2 && a2 <= a3, "Unexpected order of %lf, %lf, %lf",a1,a2,a3);
    a1 = 0; a2 = -5; a3 = -10;
    res = inOrder(&a1, &a2, &a3);
    PICOTEST_VERIFY(res && a1 <= a2 && a2 <= a3, "Unexpected order of %lf, %lf, %lf",a1,a2,a3);
    a1 = 1; a2 = 5; a3 = 2;
    res = inOrder(&a1, &a2, &a3);
    PICOTEST_VERIFY(res && a1 <= a2 && a2 <= a3, "Unexpected order of %lf, %lf, %lf",a1,a2,a3);
    a1 = 1; a2 = 5; a3 = 1;
    res = inOrder(&a1, &a2, &a3);
    PICOTEST_VERIFY(res && a1 <= a2 && a2 <= a3, "Unexpected order of %lf, %lf, %lf",a1,a2,a3);
    a1 = 2; a2 = -5; a3 = -2;
    res = inOrder(&a1, &a2, &a3);
    PICOTEST_VERIFY(res && a1 <= a2 && a2 <= a3, "Unexpected order of %lf, %lf, %lf",a1,a2,a3);
    PICOTEST_VERIFY(!inOrder(&a1, &a2, NULL), "Unexpected order of %lf, %lf, NULL",a1,a2);
    PICOTEST_VERIFY(!inOrder(&a1, NULL, &a2), "Unexpected order of %lf, NULL, %lf",a1,a2);
    PICOTEST_VERIFY(!inOrder(NULL, &a1, &a2), "Unexpected order of NULL, %lf, %lf",a1,a2);
    PICOTEST_VERIFY(!inOrder(NULL, NULL, &a1), "Unexpected order of NULL, NULL, %lf",a1);
    PICOTEST_VERIFY(!inOrder(NULL, &a1, NULL), "Unexpected order of NULL, %lf, NULL",a1);
    PICOTEST_VERIFY(!inOrder(&a1, NULL, NULL), "Unexpected order of %lf, NULL, NULL",a1);
    PICOTEST_VERIFY(!inOrder(NULL, NULL, NULL), "Unexpected order of NULL, NULL, NULL");
}


//PICOTEST_SUITE(mainSuite, RANGE_TESTS, BOUNDARY_TESTS)
//
//PICOTEST_CASE(RANGE_TESTS) {
//    int v5in1_2 = !isInRange(5, 1, 2);
//    PICOTEST_VERIFY(v5in1_2, "isInRange(5,1,2) returns unexpected result!");
//    int v5in1_8 = isInRange(5, 1, 8);
//    PICOTEST_VERIFY(v5in1_8, "isInRange(5,1,8) returns unexpected result!");
//}
//PICOTEST_CASE(BOUNDARY_TESTS) {
//    int v5in1_5 = isInRange(5,1,5);
//    PICOTEST_VERIFY(v5in1_5, "isInRange(5,1,5) returns unexpected result!");
//    int v1in1_5 = isInRange(1,1,5);
//    PICOTEST_VERIFY(v5in1_5, "isInRange(1,1,5) returns unexpected result!");
//}
//PICOTEST_CASE(aktina_0) {
//}
//PICOTEST_CASE(aktina_PI) {
//}
